Subject: bug#47949: Failed to produce output path for guix-package-cache

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 28 Apr 2023 12:47:02 -0400

Hello,

I think I may have experienced this issue; the symptoms:

--8<---------------cut here---------------start------------->8---
$ guix pull
[...]
\builder for `/gnu/store/zliavnqgx3jxp8yc44nn1y34b3bjvlcw-guix-package-cache.drv' failed to produce output path `/gnu/store/0m2c2zrphqpmfhjb60k85yhfq704ay5r-guix-package-cache'
la compilation de /gnu/store/zliavnqgx3jxp8yc44nn1y34b3bjvlcw-guix-package-cache.drv a échoué
conseil : This usually indicates a bug in one of the channels you are pulling from, or some incompatibility
among them.  You can check the build log and report the issue to the channel developers.

The channels you are pulling from are: guix sfl-packages.

Vous trouverez le journal de compilation dans « /var/log/guix/drvs/zl/iavnqgx3jxp8yc44nn1y34b3bjvlcw-guix-package-cache.drv ».
cannot build derivation `/gnu/store/v5rszp4m1vv7zf20vrb1sghi4528d40j-profile.drv': 1 dependencies couldn't be built
guix pull: erreur : build of `/gnu/store/v5rszp4m1vv7zf20vrb1sghi4528d40j-profile.drv' failed

$ tail /var/log/guix/drvs/zl/iavnqgx3jxp8yc44nn1y34b3bjvlcw-guix-package-cache.drv
  1694:48  4 (thunk)
In sfl/packages/sflvault.scm:
    75:29  3 (propagated-inputs #<package [email-masked]?>)
In ice-9/boot-9.scm:
  1685:16  2 (raise-exception _ #:continuable? _)
  1780:13  1 (_ #<&compound-exception components: (#<&undefined-vari?>)
In unknown file:
           0 (backtrace #<undefined>)

(exception unbound-variable (value #f) (value "Unbound variable: ~S")
(value (python-pycrypto)) (value #f))

$ guix time-machine --commit=9ed65e6af77893b658a7159b091b5002892c2f95 -- show python-pycrypto
name: python-pycrypto
version: 2.6.1
[...]
--8<---------------cut here---------------end--------------->8---

The problematic channel is pinned via an inferior at the above commit,
so I'm surprised the error mentions python-pyrypto is unbound (it exists
at least, according to the above time-machine invocation).

I'll keep a backup of ~/.cache/guix/checkouts/ around for forensics.

-- 
Thanks,
Maxim